<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FinalCustomerRead StructType
 * @subpackage Structs
 */
class FinalCustomerRead extends AbstractStructBase
{
    /**
     * The FinalCustomerReadRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FinalCustomerRead
     */
    public $FinalCustomerReadRQ;
    /**
     * Constructor method for FinalCustomerRead
     * @uses FinalCustomerRead::setFinalCustomerReadRQ()
     * @param \StructType\JP_FinalCustomerRead $finalCustomerReadRQ
     */
    public function __construct(\StructType\JP_FinalCustomerRead $finalCustomerReadRQ = null)
    {
        $this
            ->setFinalCustomerReadRQ($finalCustomerReadRQ);
    }
    /**
     * Get FinalCustomerReadRQ value
     * @return \StructType\JP_FinalCustomerRead|null
     */
    public function getFinalCustomerReadRQ()
    {
        return $this->FinalCustomerReadRQ;
    }
    /**
     * Set FinalCustomerReadRQ value
     * @param \StructType\JP_FinalCustomerRead $finalCustomerReadRQ
     * @return \StructType\FinalCustomerRead
     */
    public function setFinalCustomerReadRQ(\StructType\JP_FinalCustomerRead $finalCustomerReadRQ = null)
    {
        $this->FinalCustomerReadRQ = $finalCustomerReadRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FinalCustomerRead
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
